List live cluster Ankra Cloud CPU pools (browser session)
import requests
url = "https://api.platform.ankra.app/org/clusters/ankracloud/{cluster_id}/cpu-pools"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/clusters/ankracloud/{cluster_id}/cpu-pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/clusters/ankracloud/{cluster_id}/cpu-pools \
--cookie ankra_session={
"plans": [
{
"available": true,
"cores": 2,
"family": "c",
"memory_mebibytes": 4096,
"name": "c2-4",
"price_hourly_millicents": 1644,
"price_monthly_cents": 1200,
"storage_gibibytes": 80
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Ankra Cloud Clusters
List live cluster Ankra Cloud CPU pools (browser session)
RBAC permission clusters.read. The CPU pools of the cluster’s own Ankra Cloud zone under its credential, each with its x86-64 microarchitecture level (x86_64_level, 3 or more has AVX2) and has_avx2, for choosing the cpu_pool a node group pins its servers to.
GET
/
org
/
clusters
/
ankracloud
/
{cluster_id}
/
cpu-pools
List live cluster Ankra Cloud CPU pools (browser session)
import requests
url = "https://api.platform.ankra.app/org/clusters/ankracloud/{cluster_id}/cpu-pools"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/clusters/ankracloud/{cluster_id}/cpu-pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/clusters/ankracloud/{cluster_id}/cpu-pools \
--cookie ankra_session={
"plans": [
{
"available": true,
"cores": 2,
"family": "c",
"memory_mebibytes": 4096,
"name": "c2-4",
"price_hourly_millicents": 1644,
"price_monthly_cents": 1200,
"storage_gibibytes": 80
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Path Parameters
Response
Successful response
The CPU pools of the zone (cpu-pools catalog only), largest first.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Monthly price of the public IPv4 add-on the bastion carries.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes